<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.zcloud.basic.info.persistence.mapper.DepartmentMapper">

     <select id="listAllTree" resultType="com.zcloud.basic.info.persistence.dataobject.DepartmentDO">
        select * from department where delete_enum = 'FALSE' order by dep_order, create_time desc
    </select>
    <select id="selectDeptPage" resultType="com.zcloud.basic.info.persistence.dataobject.DepartmentDO">
        SELECT *
        FROM department
                 ${ew.customSqlSegment}
    </select>
</mapper>

